name='alr-git'
version='2b7c2bbbb3'
release='1'
desc='Any Linux Repository'
homepage='https://gitea.plemya-x.ru/Plemya-x/ALR'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64' 'arm64' 'arm7' 'arm6' '386' 'riscv64')
license=('GPL-3.0-or-later')
provides=('alr')
conflicts=('alr' 'alr-bin' 'alr-git')

build_deps=('golang')
build_deps_arch=('go')
build_deps_alpine=('go')
build_deps_opensuse=('go')

sources=("git+https://gitea.plemya-x.ru/Plemya-x/ALR.git")
checksums=('SKIP')

scripts=(
	['postinstall']='postinstall.sh'
)

version() {
    cd "${srcdir}/ALR"
    git-version
}

build() {
    cd "${srcdir}/ALR"
    CGO_ENABLED=0 go build -ldflags="-X 'gitea.plemya-x.ru/Plemya-x/ALR/internal/config.Version=$(GIT_VERSION)'" -o alr
}

package() {
    cd "$srcdir/ALR"
    install-binary alr
    install-completion bash alr < scripts/completion/bash
    install-completion zsh alr < scripts/completion/zsh 
}

files() {
  	echo ./usr/bin/alr
  	echo ./usr/share/bash-completion/completions/alr
  	echo ./usr/share/zsh/site-functions/_alr
}